Add bank account to a debtor
curl --request POST \
--url https://api.paywise.de/v1/debtors/{id}/bankaccounts/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"iban": "<string>",
"bic": "<string>"
}
'import requests
url = "https://api.paywise.de/v1/debtors/{id}/bankaccounts/"
payload = {
"iban": "<string>",
"bic": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({iban: '<string>', bic: '<string>'})
};
fetch('https://api.paywise.de/v1/debtors/{id}/bankaccounts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"href": "<string>",
"acting_as": "consumer",
"addresses": [
{
"street": "<string>",
"zip": "<string>",
"city": "<string>",
"country": "AF"
}
],
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"id": "<string>",
"your_reference": "<string>",
"person": {
"first_name": "<string>",
"last_name": "<string>",
"salutation": "<string>",
"birth_date": "2023-12-25",
"death_date": "2023-12-25"
},
"organization": {
"name": "<string>"
},
"communication_channels": [
{
"type": "email",
"value": "<string>"
}
],
"bank_accounts": [
{
"iban": "<string>",
"bic": "<string>"
}
],
"metadata": [
{
"type": "user:reference",
"value": "<string>"
}
],
"events": [
{
"type": "registration",
"title": "<string>",
"occurence": "2023-11-07T05:31:56Z",
"your_reference": "<string>",
"description": "<string>",
"location": "<string>"
}
]
}Debtors
Add bank account to a debtor
Add a bank account to an existing debtor.
POST
/
v1
/
debtors
/
{id}
/
bankaccounts
/
Add bank account to a debtor
Authorizations
tokenAuthtokenAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
201 - application/json
Tell us if the debtor is either a consumer or a business/other organization. Single-person-business debtors must have the value business
consumer- Verbraucherbusiness- Unternehmer
Available options:
consumer, business Show child attributes
Show child attributes
Maximum string length:
255If the debtor is a natural person or a single-person-business please provide this object. In case of a single-person-business, please set acting_as to business
Show child attributes
Show child attributes
If the debtor is an organization (no single-person-business), please provide this object. For single-person-business debtors see the person field.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
